const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class MerchantaccountService extends ServiceBase {
    constructor() {
        super();
    }

    async reduceAccountBalance(params) {
        try {
            return await this.callms("sve_merchant", "reduceAccountBalance", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

    async addordelavailable(params) {
        try {
            return await this.callms("sve_merchant", "addordelavailable", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }

}

module.exports = MerchantaccountService;
